#include <stdio.h>
#include <iostream.h>
#include <conio.h>

// modell ruber-beute-beziehungen

// einfaches Lotka-Volterra-Modell

// Parameter des ruber-beute-modells

float RDiff = 0.0 ;
float BDiff = 0.0 ;
float R = 7.0 ;     // anzahl ruber
float B = 15.0;     // anzahl beute
float d = 0.1 ;		// sterberate ruber, nicht abhngig 
float s = 0.05 ;	// sterberate beute, abhngig von anzahl R
float g = 0.01 ;	// wachstumsrate ruber
float f = 0.5 ;		// vermehrungsrate beute

// laufvariablen

int TMAX =	 80 ;
int AktT = 	  0 ;
int DeltaT =  1 ;
int j = 	  0 ;

// variablen ausgabe

char diagramm [30] ;


//simulation einfaches lotka-volterra-modell

void main ()
{

	AktT = DeltaT ;

	while ( TMAX - AktT   > 0 )
	{

			// initialisiere earray

			for ( j = 0 ; j < 30 ; j++ ) 
			{
				diagramm [j] = ' ' ;
			}

			// vernderung der ruber-population

			RDiff = g * B * R - d * R ;
			R = R + RDiff ;

            // vernderung der beute-population

			BDiff = f * B - s * B * R ;
			B = B + BDiff ;
		
			// ausgabe

			diagramm [(int) R] = 'R' ;
			diagramm [(int) B] = 'B' ;			


			for ( j = 0 ; j < 25 ; j++ )
			{
				gotoxy ( AktT, 23-j) ;
				cout << diagramm [j] ;
			}

			getch ( ) ;

			// nchste Periode

			AktT  = AktT + DeltaT ;
            

	}

	getch () ;

}